## glfiltershader

glfiltershader

## Synopsis

    struct              GstGLFilterShader;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLFilterShader

## Properties

      "location"                 gchar*                : Read / Write
      "preset"                   gchar*                : Read / Write
      "vars"                     gchar*                : Write

## Description

## Details

### struct GstGLFilterShader

    struct GstGLFilterShader;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the GLSL file to load.

Default value: NULL

### The `"preset"` property

      "preset"                   gchar*                : Read / Write

Location of the shader uniform variables preset file.

Default value: NULL

### The `"vars"` property

      "vars"                     gchar*                : Write

Set the shader uniform variables.

Default value: NULL